'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

require('./iconfont');

require('./style/index.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var AppIcon = (_temp = _class = function (_Component) {
    _inherits(AppIcon, _Component);

    function AppIcon() {
        _classCallCheck(this, AppIcon);

        return _possibleConstructorReturn(this, (AppIcon.__proto__ || Object.getPrototypeOf(AppIcon)).apply(this, arguments));
    }

    _createClass(AppIcon, [{
        key: 'render',
        value: function render() {
            var _classNames, _classNames2;

            var _props = this.props,
                type = _props.type,
                className = _props.className,
                style = _props.style,
                size = _props.size,
                restProps = _objectWithoutProperties(_props, ['type', 'className', 'style', 'size']);

            var iconClassName = (0, _classnames2.default)((_classNames = {
                'appIcon': true
            }, _defineProperty(_classNames, 'icon-' + type, !!type), _defineProperty(_classNames, 'icon-' + size, !!size), _defineProperty(_classNames, className, !!className), _classNames));
            var loadingClassName = (0, _classnames2.default)((_classNames2 = {}, _defineProperty(_classNames2, 'icon-' + type, !!type), _defineProperty(_classNames2, 'icon-' + size, !!size), _classNames2));

            if (type == "jiazai2") {
                return _react2.default.createElement(
                    'svg',
                    _extends({ className: loadingClassName, 'aria-hidden': 'true', style: style }, restProps),
                    _react2.default.createElement('use', { xlinkHref: '#icon-' + type })
                );
            } else {
                return _react2.default.createElement('i', _extends({ className: iconClassName, style: style }, restProps));
            }

            // return <i className={iconClassName} style={style} {...restProps}/>
            /*return <svg className={iconClassName} aria-hidden="true" style={style} {...restProps}>
                <use xlinkHref={`#icon-${type}`}></use>
            </svg>*/
        }
    }]);

    return AppIcon;
}(_react.Component), _class.defaultProps = {
    size: 'md'
}, _temp);
exports.default = AppIcon;