'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Popup = require('rmc-date-picker/lib/Popup');

var _Popup2 = _interopRequireDefault(_Popup);

var _DatePicker = require('rmc-date-picker/lib/DatePicker');

var _DatePicker2 = _interopRequireDefault(_DatePicker);

var _utiles = require('./utiles');

var _zh_CN = require('rmc-date-picker/lib/locale/zh_CN');

var _zh_CN2 = _interopRequireDefault(_zh_CN);

require('./style/index.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var DatePicker = (_temp = _class = function (_React$Component) {
  _inherits(DatePicker, _React$Component);

  function DatePicker() {
    _classCallCheck(this, DatePicker);

    return _possibleConstructorReturn(this, (DatePicker.__proto__ || Object.getPrototypeOf(DatePicker)).apply(this, arguments));
  }

  _createClass(DatePicker, [{
    key: 'render',
    value: function render() {
      var props = this.props,
          context = this.context;
      var children = props.children,
          value = props.value,
          extra = props.extra,
          popupPrefixCls = props.popupPrefixCls;


      var dataPicker = _react2.default.createElement(_DatePicker2.default, {
        minuteStep: props.minuteStep,
        locale: _zh_CN2.default,
        minDate: props.minDate,
        maxDate: props.maxDate,
        mode: props.mode,
        pickerPrefixCls: props.pickerPrefixCls,
        prefixCls: props.prefixCls,
        defaultDate: value || (0, _utiles.getDefaultDate)(this.props),
        user12Hours: props.use12Hours,
        onValueChange: props.onValueChange
      });

      return _react2.default.createElement(
        _Popup2.default,
        _extends({
          datePicker: dataPicker,
          WrapComponent: 'div',
          transitionName: 'am-slide-up',
          maskTransitionName: 'am-fade'
        }, props, {
          prefixCls: popupPrefixCls,
          date: value || (0, _utiles.getDefaultDate)(this.props),
          dismissText: '\u53D6\u6D88',
          okText: '\u786E\u5B9A'
        }),
        children && _react2.default.cloneElement(children, { extra: value ? (0, _utiles.formatFn)(this, value) : extra })
      );
    }
  }]);

  return DatePicker;
}(_react2.default.Component), _class.defaultProps = {
  mode: 'datetime',
  extra: '请选择',
  prefixCls: 'picker',
  pickerPrefixCls: 'picker-col',
  popupPrefixCls: 'picker-popup',
  minuteStep: 1,
  use12Hours: false
}, _temp);
exports.default = DatePicker;