'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp; /**
                    * Created by seven on 2017/3/14.
                    */


var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _rcDialog = require('rc-dialog');

var _rcDialog2 = _interopRequireDefault(_rcDialog);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _objectAssign = require('object-assign');

var _objectAssign2 = _interopRequireDefault(_objectAssign);

var _rcTouchable = require('rc-touchable');

var _rcTouchable2 = _interopRequireDefault(_rcTouchable);

var _omit = require('omit.js');

var _omit2 = _interopRequireDefault(_omit);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Modal = (_temp = _class = function (_React$Component) {
  _inherits(Modal, _React$Component);

  function Modal() {
    _classCallCheck(this, Modal);

    return _possibleConstructorReturn(this, (Modal.__proto__ || Object.getPrototypeOf(Modal)).apply(this, arguments));
  }

  _createClass(Modal, [{
    key: 'renderFooterButton',


    // isInModal(e) {
    //   if (!/\biPhone\b|\biPod\b/i.test(navigator.userAgent)) {
    //     return;
    //   }
    //
    //   // fix touch to scroll background page on iOS
    //   const prefixCls = this.props.prefixCls;
    //   const pNode = (node => {
    //     while (node.parentNode && node.parentNode !== document.body) {
    //       if (node.classList.contains(prefixCls)) {
    //         return node;
    //       }
    //       node = node.parentNode;
    //     }
    //   })(e.target);
    //   if (!pNode) {
    //     e.preventDefault();
    //   }
    //   return true;
    // }

    value: function renderFooterButton(button, prefixCls, i) {
      var buttonStyle = {};
      if (button.style) {
        buttonStyle = button.style;
        if (typeof buttonStyle === 'string') {
          var styleMap = {
            cancel: { fontWeight: 'bold' },
            default: {},
            destructive: { color: 'red' }
          };
          buttonStyle = styleMap[buttonStyle] || {};
        }
      }

      var onClickFn = function onClickFn(e) {
        e.preventDefault();
        if (button.onPress) {
          button.onPress();
        }
      };

      return _react2.default.createElement(
        _rcTouchable2.default,
        { activeClassName: prefixCls + '-button-active', key: i },
        _react2.default.createElement(
          'a',
          { className: prefixCls + '-button', role: 'button', style: buttonStyle, href: '#', onClick: onClickFn },
          button.text || 'Button'
        )
      );
    }
  }, {
    key: 'render',
    value: function render() {
      var _classNames,
          _this2 = this;

      var _props = this.props,
          prefixCls = _props.prefixCls,
          className = _props.className,
          transparent = _props.transparent,
          animated = _props.animated,
          transitionName = _props.transitionName,
          maskTransitionName = _props.maskTransitionName,
          style = _props.style,
          _props$footer = _props.footer,
          footer = _props$footer === undefined ? [] : _props$footer,
          closable = _props.closable,
          operation = _props.operation,
          platform = _props.platform;


      var wrapCls = (0, _classnames2.default)((_classNames = {}, _defineProperty(_classNames, className, !!className), _defineProperty(_classNames, prefixCls + '-transparent', transparent), _classNames));

      var anim = transitionName || (animated ? transparent ? 'am-fade' : 'am-slide-up' : null);
      var maskAnim = maskTransitionName || (animated ? transparent ? 'am-fade' : 'am-slide-up' : null);

      var btnGroupClass = prefixCls + '-button-group-' + (footer.length === 2 && !operation ? 'h' : 'v');
      var footerDom = footer.length ? _react2.default.createElement(
        'div',
        { className: btnGroupClass, role: 'group' },
        footer.map(function (button, i) {
          return _this2.renderFooterButton(button, prefixCls, i);
        })
      ) : null;

      // transparent 模式下, 内容默认居中
      var rootStyle = transparent ? (0, _objectAssign2.default)({
        width: '5.4rem',
        height: 'auto'
      }, style) : (0, _objectAssign2.default)({
        width: '100%',
        height: '100%'
      }, style);

      var restProps = (0, _omit2.default)(this.props, ['prefixCls', 'className', 'transparent', 'animated', 'transitionName', 'maskTransitionName', 'style', 'footer', 'touchFeedback', 'wrapProps']);

      // const isIPhone = new RegExp('\\biPhone\\b|\\biPod\\b', 'i').test(window.navigator.userAgent);
      // const wrapProps = {onTouchStart: e => this.isInModal(e)};

      return _react2.default.createElement(_rcDialog2.default, _extends({
        prefixCls: prefixCls,
        className: wrapCls,
        transitionName: anim,
        maskTransitionName: maskAnim,
        style: rootStyle,
        footer: footerDom
        // wrapProps={wrapProps}
        , closable: closable
      }, restProps));
    }
  }]);

  return Modal;
}(_react2.default.Component), _class.defaultProps = {
  prefixCls: 'modal',
  // transparent change to transparent by yiminghe
  transparent: false,
  animated: true,
  style: {},
  onShow: function onShow() {},

  footer: [],
  closable: false,
  operation: false,
  platform: 'cross'
}, _temp);
exports.default = Modal;