'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _AppIcon = require('./../AppIcon');

var _AppIcon2 = _interopRequireDefault(_AppIcon);

require('./style/index.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

console.log("!!navigator.userAgent.match(/Android/i):::", !!navigator.userAgent.match(/Android/i));
var NavBar = (_temp = _class = function (_Component) {
    _inherits(NavBar, _Component);

    function NavBar() {
        _classCallCheck(this, NavBar);

        return _possibleConstructorReturn(this, (NavBar.__proto__ || Object.getPrototypeOf(NavBar)).apply(this, arguments));
    }

    _createClass(NavBar, [{
        key: 'render',
        value: function render() {
            var _classNames;

            var _props = this.props,
                prefixCls = _props.prefixCls,
                children = _props.children,
                mode = _props.mode,
                className = _props.className,
                iconName = _props.iconName,
                leftContent = _props.leftContent,
                rightContent = _props.rightContent,
                onLeftClick = _props.onLeftClick,
                platform = _props.platform,
                restProps = _objectWithoutProperties(_props, ['prefixCls', 'children', 'mode', 'className', 'iconName', 'leftContent', 'rightContent', 'onLeftClick', 'platform']);

            var wrapCls = (0, _classnames2.default)((_classNames = {}, _defineProperty(_classNames, className, !!className), _defineProperty(_classNames, prefixCls, true), _defineProperty(_classNames, prefixCls + '-' + mode, true), _defineProperty(_classNames, prefixCls + '-ios', !platform), _classNames));

            return _react2.default.createElement(
                'div',
                _extends({}, restProps, { className: wrapCls }),
                _react2.default.createElement(
                    'div',
                    { className: prefixCls + '-left', onClick: onLeftClick },
                    iconName ? _react2.default.createElement(
                        'span',
                        { className: prefixCls + '-left-icon' },
                        _react2.default.createElement(_AppIcon2.default, { type: iconName })
                    ) : null,
                    _react2.default.createElement(
                        'span',
                        { className: prefixCls + '-left-content' },
                        leftContent
                    )
                ),
                _react2.default.createElement(
                    'div',
                    { className: prefixCls + '-title' },
                    children
                ),
                _react2.default.createElement(
                    'div',
                    { className: prefixCls + '-right' },
                    rightContent
                )
            );
        }
    }]);

    return NavBar;
}(_react.Component), _class.defaultProps = {
    prefixCls: 'navbar',
    mode: 'dark',
    onLeftClick: function onLeftClick() {},
    platform: !!navigator.userAgent.match(/Android/i) //android: true;  ios: false
}, _temp);
exports.default = NavBar;