'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _objectAssign = require('object-assign');

var _objectAssign2 = _interopRequireDefault(_objectAssign);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _AppIcon = require('../AppIcon');

var _AppIcon2 = _interopRequireDefault(_AppIcon);

var _Marquee = require('./Marquee');

var _Marquee2 = _interopRequireDefault(_Marquee);

require('./style/index.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var NoticeBar = (_temp = _class = function (_Component) {
    _inherits(NoticeBar, _Component);

    function NoticeBar(props) {
        _classCallCheck(this, NoticeBar);

        var _this = _possibleConstructorReturn(this, (NoticeBar.__proto__ || Object.getPrototypeOf(NoticeBar)).call(this, props));

        _this.onClick = function () {
            var _this$props = _this.props,
                mode = _this$props.mode,
                onClick = _this$props.onClick;

            if (onClick) {
                onClick();
            }
            if (mode === 'closable') {
                _this.setState({
                    show: false
                });
            }
        };

        _this.state = {
            show: true
        };
        return _this;
    }

    _createClass(NoticeBar, [{
        key: 'render',
        value: function render() {
            var _classNames;

            var _props = this.props,
                mode = _props.mode,
                icon = _props.icon,
                onClick = _props.onClick,
                children = _props.children,
                className = _props.className,
                prefixCls = _props.prefixCls,
                marqueeProps = _props.marqueeProps,
                restProps = _objectWithoutProperties(_props, ['mode', 'icon', 'onClick', 'children', 'className', 'prefixCls', 'marqueeProps']);

            var extraProps = {};
            var operationDom = null;
            if (mode === 'closable') {
                operationDom = _react2.default.createElement(
                    'div',
                    { className: prefixCls + '-operation', onClick: this.onClick },
                    _react2.default.createElement(_AppIcon2.default, { type: 'guanbi', size: 'xs' })
                );
            } else {
                if (mode === 'link') {
                    operationDom = _react2.default.createElement(
                        'div',
                        { className: prefixCls + '-operation' },
                        _react2.default.createElement(_AppIcon2.default, { type: 'youjiantou', size: 'xs' })
                    );
                }
                extraProps.onClick = onClick;
            }

            var wrapCls = (0, _classnames2.default)((_classNames = {}, _defineProperty(_classNames, prefixCls, true), _defineProperty(_classNames, className, !!className), _classNames));

            var marquee = (0, _objectAssign2.default)({}, {
                loop: false,
                leading: 500,
                trailing: 800,
                fps: 40,
                style: {}
            }, marqueeProps);

            return this.state.show ? _react2.default.createElement(
                'div',
                _extends({ className: wrapCls }, restProps, extraProps),
                icon ? _react2.default.createElement(
                    'div',
                    { className: prefixCls + '-icon' },
                    ' ',
                    icon,
                    ' '
                ) : null,
                _react2.default.createElement(
                    'div',
                    { className: prefixCls + '-content' },
                    _react2.default.createElement(_Marquee2.default, _extends({ prefixCls: prefixCls, text: children }, marquee))
                ),
                operationDom
            ) : null;
        }
    }]);

    return NoticeBar;
}(_react.Component), _class.defaultProps = {
    prefixCls: 'notice-bar',
    mode: '',
    icon: _react2.default.createElement(_AppIcon2.default, { type: 'tishi', size: 'xxs' }),
    onClick: function onClick() {}
}, _temp);
exports.default = NoticeBar;