'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _rmcListView = require('rmc-list-view');

var _rmcListView2 = _interopRequireDefault(_rmcListView);

var _AppIcon = require('../AppIcon');

var _AppIcon2 = _interopRequireDefault(_AppIcon);

var _objectAssign = require('object-assign');

var _objectAssign2 = _interopRequireDefault(_objectAssign);

require('./style/index.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* tslint:enable:no-unused-variable */
var dpr = typeof window !== 'undefined' && window.devicePixelRatio || 2; /**
                                                                          * Created by seven on 2017/4/14.
                                                                          */
/* tslint:disable:no-unused-variable */


_rmcListView2.default.RefreshControl.defaultProps = (0, _objectAssign2.default)({}, _rmcListView2.default.RefreshControl.defaultProps, {
    prefixCls: 'refresh-control',
    icon: [_react2.default.createElement(
        'div',
        { key: '0', className: 'refresh-control-pull' },
        _react2.default.createElement(
            'span',
            null,
            '\u4E0B\u62C9\u53EF\u4EE5\u5237\u65B0'
        )
    ), _react2.default.createElement(
        'div',
        { key: '1', className: 'refresh-control-release' },
        _react2.default.createElement(
            'span',
            null,
            '\u677E\u5F00\u7ACB\u5373\u5237\u65B0'
        )
    )],
    loading: _react2.default.createElement(_AppIcon2.default, { type: 'jiazai2' }),
    refreshing: false,
    distanceToRefresh: 50 / 2 * dpr
});

exports.default = _rmcListView2.default.RefreshControl;