'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = exports.DefaultTabBar = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _class, _temp, _class2, _temp3;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _rmcTabs = require('rmc-tabs');

require('./style/index.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var DefaultTabBar = exports.DefaultTabBar = (_temp = _class = function (_RMCDefaultTabBar) {
    _inherits(DefaultTabBar, _RMCDefaultTabBar);

    function DefaultTabBar() {
        _classCallCheck(this, DefaultTabBar);

        return _possibleConstructorReturn(this, (DefaultTabBar.__proto__ || Object.getPrototypeOf(DefaultTabBar)).apply(this, arguments));
    }

    return DefaultTabBar;
}(_rmcTabs.DefaultTabBar), _class.defaultProps = _extends({}, _rmcTabs.DefaultTabBar.defaultProps, {
    prefixCls: 'extabs-default-bar'
}), _temp);
var Tabs = (_temp3 = _class2 = function (_React$PureComponent) {
    _inherits(Tabs, _React$PureComponent);

    function Tabs() {
        var _ref;

        var _temp2, _this2, _ret;

        _classCallCheck(this, Tabs);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp2 = (_this2 = _possibleConstructorReturn(this, (_ref = Tabs.__proto__ || Object.getPrototypeOf(Tabs)).call.apply(_ref, [this].concat(args))), _this2), _this2.renderTabBar = function (props) {
            var renderTab = _this2.props.renderTab;

            return _react2.default.createElement(DefaultTabBar, _extends({}, props, { renderTab: renderTab }));
        }, _temp2), _possibleConstructorReturn(_this2, _ret);
    }

    _createClass(Tabs, [{
        key: 'render',
        value: function render() {
            return _react2.default.createElement(_rmcTabs.Tabs, _extends({
                renderTabBar: this.renderTabBar
            }, this.props));
        }
    }]);

    return Tabs;
}(_react2.default.PureComponent), _class2.DefaultTabBar = DefaultTabBar, _class2.defaultProps = {
    prefixCls: 'extabs'
}, _temp3);
exports.default = Tabs;