'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _rmcPullToRefresh = require('rmc-pull-to-refresh');

var _rmcPullToRefresh2 = _interopRequireDefault(_rmcPullToRefresh);

var _AppIcon = require('../AppIcon');

var _AppIcon2 = _interopRequireDefault(_AppIcon);

require('./style/index.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var PullToRefresh = (_temp = _class = function (_React$Component) {
  _inherits(PullToRefresh, _React$Component);

  function PullToRefresh() {
    _classCallCheck(this, PullToRefresh);

    return _possibleConstructorReturn(this, (PullToRefresh.__proto__ || Object.getPrototypeOf(PullToRefresh)).apply(this, arguments));
  }

  _createClass(PullToRefresh, [{
    key: 'render',
    value: function render() {
      var ind = _extends({
        activate: '松开立即刷新',
        deactivate: '下拉可以刷新',
        release: _react2.default.createElement(_AppIcon2.default, { type: 'jiazai2' }),
        finish: '刷新完成'
      }, this.props.indicator);
      return _react2.default.createElement(_rmcPullToRefresh2.default, _extends({}, this.props, { indicator: ind }));
    }
  }]);

  return PullToRefresh;
}(_react2.default.Component), _class.defaultProps = {
  prefixCls: 'pull-to-refresh'
}, _temp);
exports.default = PullToRefresh;