'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Badge = require('../Badge');

var _Badge2 = _interopRequireDefault(_Badge);

var _AppIcon = require('../AppIcon');

var _AppIcon2 = _interopRequireDefault(_AppIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Tab = function (_Component) {
  _inherits(Tab, _Component);

  function Tab() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, Tab);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = Tab.__proto__ || Object.getPrototypeOf(Tab)).call.apply(_ref, [this].concat(args))), _this), _this.renderIcon = function () {
      var _this$props = _this.props,
          dot = _this$props.dot,
          badge = _this$props.badge,
          selected = _this$props.selected,
          selectedIcon = _this$props.selectedIcon,
          useIcon = _this$props.useIcon,
          icon = _this$props.icon,
          title = _this$props.title,
          prefixCls = _this$props.prefixCls;

      var iconRes = selected ? selectedIcon : icon;

      /* const iconDom = React.isValidElement(iconRes) ? iconRes : (
             <img className={`${prefixCls}-image`}
                  src={ iconRes.uri || iconRes } alt={title} />
         );*/
      var iconDom = useIcon ? _react2.default.createElement(_AppIcon2.default, { type: iconRes, size: 'md' }) : _react2.default.isValidElement(iconRes) ? iconRes : _react2.default.createElement('img', { className: prefixCls + '-image',
        src: iconRes.uri || iconRes, alt: title });

      if (badge) {
        return _react2.default.createElement(
          _Badge2.default,
          { text: badge, className: prefixCls + '-badge tab-badge' },
          iconDom
        );
      }

      if (dot) {
        return _react2.default.createElement(
          _Badge2.default,
          { dot: true, className: prefixCls + '-badge tab-dot' },
          iconDom
        );
      }

      return iconDom;
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(Tab, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          title = _props.title,
          prefixCls = _props.prefixCls,
          selected = _props.selected,
          unselectedTintColor = _props.unselectedTintColor,
          tintColor = _props.tintColor;

      var iconColor = selected ? tintColor : unselectedTintColor;

      return _react2.default.createElement(
        'div',
        this.props.dataAttrs,
        _react2.default.createElement(
          'div',
          { className: prefixCls + '-icon', style: { color: iconColor } },
          this.renderIcon()
        ),
        _react2.default.createElement(
          'p',
          { className: prefixCls + '-title', style: { color: selected ? tintColor : unselectedTintColor } },
          title
        )
      );
    }
  }]);

  return Tab;
}(_react.Component);

exports.default = Tab;